Resource Center/Network Service/Network Service Operations/Load Balancing Operations
PUTLoad Balancing OperationsSince 4.0.0SynchronousAuth Required
ChangeLoadBalancerBackendServer
ChangeLoadBalancerBackendServer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
serverGroupUuidStringRequiredThe UUID of the server group for load balancing.
Body Fields
changeloadbalancerbackendserverObjectRequiredchangeloadbalancerbackendserver request body object.
vmNicsListOptional. The VM NICs.
serversListOptional. The IP addresses of backend servers.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendserver/actions
/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendserver/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendserver/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeloadbalancerbackendserver":{"vmNics":["<vmNics>"],"servers":["<servers>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
